bitel.billing.server.card.bean

## Class CardActionManager

- java.lang.Object
- - bitel.billing.server.card.bean.CardActionManager

-     public class CardActionManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CardActionManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteAction(int id)`
    `CardAction` | `getActionById(int id)`
    `java.util.List<CardAction>` | `getActionList(int dealerId, java.util.Date fromDate, java.util.Date toDate, int type)` Deprecated. использовать `getActionList(int, Period, int)`
    `java.util.List<CardAction>` | `getActionList(int dealerId, Period period, int type)`
    `void` | `updateAction(CardAction action)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CardActionManager

          public CardActionManager(java.sql.Connection con,
                                   int mid)

  - ### Method Detail

    - #### updateAction

          public void updateAction(CardAction action)

    - #### getActionById

          public CardAction getActionById(int id)

    - #### getActionList

          @Deprecated
          public java.util.List<CardAction> getActionList(int dealerId,
                                                                      java.util.Date fromDate,
                                                                      java.util.Date toDate,
                                                                      int type)

      Deprecated. использовать `getActionList(int, Period, int)`
      Parameters:
        `dealerId` -
        `fromDate` -
        `toDate` -
        `type` -
      Returns:

    - #### getActionList

          public java.util.List<CardAction> getActionList(int dealerId,
                                                          Period period,
                                                          int type)

    - #### deleteAction

          public void deleteAction(int id)